Page MenuHomePhabricator

[Regression pre-wmf.8] Old graphs not rendered client-side anymore
Closed, DeclinedPublic

Description

https://gerrit.wikimedia.org/r/#/c/252619/ made some changes to the HTML structure of a graph in read mode. However, wikis with client-side rendering still have old graphs being served with the old structure due to cache mechanisms, breaking the rendering when Vega expects the new CSS classes to be found in the page instead of the old ones.

Event Timeline

ferdbold claimed this task.
ferdbold raised the priority of this task from to Needs Triage.
ferdbold updated the task description. (Show Details)
ferdbold added a project: Graphs.
ferdbold added a subscriber: ferdbold.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 2 2015, 11:17 PM

Change 256598 had a related patch set uploaded (by Ferdbold):
Fix rendering of old cached graphs

https://gerrit.wikimedia.org/r/256598

Jdforrester-WMF renamed this task from Old graphs not rendered client-side anymore to [Regression pre-wmf.8] Old graphs not rendered client-side anymore.Dec 2 2015, 11:19 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.
ferdbold moved this task from Backlog to VisualEditor on the Graphs board.Dec 3 2015, 5:03 AM
Yurik closed this task as Declined.May 8 2016, 7:46 PM
Yurik added a subscriber: Yurik.

I think by now this is a non-issue, so closing.

Change 256598 abandoned by Yurik:
Fix rendering of old cached graphs

Reason:
its been over 30 days, no point to merge because there is no items in cache

https://gerrit.wikimedia.org/r/256598